Subject: RE: bug#8220: 24.0.50; (On Windows XP) "c:\_emacs" isn't found during startup

From: "Drew Adams" <[email-masked]>
Date: Fri, 11 Mar 2011 09:59:31 -0800

> > It is just as silly to argue that `_emacs' should be desupported.
> > That's the point.
> 
> I disagree.
> 
> > On the contrary.  `_emacs' behaves similarly across platforms.
> 
> No, it doesn't, because non-DOS, non-Windows Emacsen do not 
> load _emacs.

It behaves similarly as a _file_ - that's what I meant.  Most platforms do not
treat `_emacs' specially because of its _file name_.  Many platforms do treat
`.emacs' specially because of its _file name_.

My point was that `_emacs' _should_ be handled by Emacs as a default init-file
name on all platforms, just as it is handled that way on Windows.  Why?  Because
it's a good, simple name that is not treated specially by different platforms.

> Yes, you're talking of `ls' and/or `dir', but the point is that you're
> arguing in favor of keeping an old compatibility feature by
> *extending* it, making detection of [._]emacs(.elc?)? / init.el (and,
> more important, explaining how that detection is done) no less complex
> on Windows/DOS, and more complex on POSIX environments. For a net gain
> of... what?

Shouldn't be complex.

The gain is simplicity: `_emacs' is simpler than `.emacs' because it is not a
name that is handled specially on various platforms.

I'd say keep `.emacs' handling too, so that users on UNIX or GNU/Linux can, if
they want, take advantage of the special treatment of dot files.

But allow `_emacs' also as a default init-file name.

Anyway, as Eli has said, this is all moot - it has already been decided.